package com.sadellie.unitto.data.units.collections

import com.sadellie.unitto.R
import com.sadellie.unitto.data.units.AbstractUnit
import com.sadellie.unitto.data.units.MyUnit
import com.sadellie.unitto.data.units.MyUnitIDS
import com.sadellie.unitto.data.units.UnitGroup
import java.math.BigDecimal

val CURRENCY_COLLECTION: List<AbstractUnit> by lazy {
    listOf(
        MyUnit(MyUnitIDS.currency_1inch,    BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_1inch,    R.string.currency_1inch),
        MyUnit(MyUnitIDS.currency_ada,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ada,      R.string.currency_ada),
        MyUnit(MyUnitIDS.currency_aed,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_aed,      R.string.currency_aed),
        MyUnit(MyUnitIDS.currency_afn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_afn,      R.string.currency_afn),
        MyUnit(MyUnitIDS.currency_algo,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_algo,     R.string.currency_algo),
        MyUnit(MyUnitIDS.currency_all,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_all,      R.string.currency_all),
        MyUnit(MyUnitIDS.currency_amd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_amd,      R.string.currency_amd),
        MyUnit(MyUnitIDS.currency_ang,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ang,      R.string.currency_ang),
        MyUnit(MyUnitIDS.currency_aoa,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_aoa,      R.string.currency_aoa),
        MyUnit(MyUnitIDS.currency_ars,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ars,      R.string.currency_ars),
        MyUnit(MyUnitIDS.currency_atom,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_atom,     R.string.currency_atom),
        MyUnit(MyUnitIDS.currency_aud,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_aud,      R.string.currency_aud),
        MyUnit(MyUnitIDS.currency_avax,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_avax,     R.string.currency_avax),
        MyUnit(MyUnitIDS.currency_awg,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_awg,      R.string.currency_awg),
        MyUnit(MyUnitIDS.currency_azn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_azn,      R.string.currency_azn),
        MyUnit(MyUnitIDS.currency_bam,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bam,      R.string.currency_bam),
        MyUnit(MyUnitIDS.currency_bbd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bbd,      R.string.currency_bbd),
        MyUnit(MyUnitIDS.currency_bch,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bch,      R.string.currency_bch),
        MyUnit(MyUnitIDS.currency_bdt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bdt,      R.string.currency_bdt),
        MyUnit(MyUnitIDS.currency_bgn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bgn,      R.string.currency_bgn),
        MyUnit(MyUnitIDS.currency_bhd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bhd,      R.string.currency_bhd),
        MyUnit(MyUnitIDS.currency_bif,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bif,      R.string.currency_bif),
        MyUnit(MyUnitIDS.currency_bmd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bmd,      R.string.currency_bmd),
        MyUnit(MyUnitIDS.currency_bnb,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bnb,      R.string.currency_bnb),
        MyUnit(MyUnitIDS.currency_bnd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bnd,      R.string.currency_bnd),
        MyUnit(MyUnitIDS.currency_bob,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bob,      R.string.currency_bob),
        MyUnit(MyUnitIDS.currency_brl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_brl,      R.string.currency_brl),
        MyUnit(MyUnitIDS.currency_bsd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bsd,      R.string.currency_bsd),
        MyUnit(MyUnitIDS.currency_btc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_btc,      R.string.currency_btc),
        MyUnit(MyUnitIDS.currency_btn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_btn,      R.string.currency_btn),
        MyUnit(MyUnitIDS.currency_busd,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_busd,     R.string.currency_busd),
        MyUnit(MyUnitIDS.currency_bwp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bwp,      R.string.currency_bwp),
        MyUnit(MyUnitIDS.currency_byn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_byn,      R.string.currency_byn),
        MyUnit(MyUnitIDS.currency_byr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_byr,      R.string.currency_byr),
        MyUnit(MyUnitIDS.currency_bzd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_bzd,      R.string.currency_bzd),
        MyUnit(MyUnitIDS.currency_cad,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cad,      R.string.currency_cad),
        MyUnit(MyUnitIDS.currency_cdf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cdf,      R.string.currency_cdf),
        MyUnit(MyUnitIDS.currency_chf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_chf,      R.string.currency_chf),
        MyUnit(MyUnitIDS.currency_chz,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_chz,      R.string.currency_chz),
        MyUnit(MyUnitIDS.currency_clf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_clf,      R.string.currency_clf),
        MyUnit(MyUnitIDS.currency_clp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_clp,      R.string.currency_clp),
        MyUnit(MyUnitIDS.currency_cny,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cny,      R.string.currency_cny),
        MyUnit(MyUnitIDS.currency_cop,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cop,      R.string.currency_cop),
        MyUnit(MyUnitIDS.currency_crc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_crc,      R.string.currency_crc),
        MyUnit(MyUnitIDS.currency_cro,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cro,      R.string.currency_cro),
        MyUnit(MyUnitIDS.currency_cuc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cuc,      R.string.currency_cuc),
        MyUnit(MyUnitIDS.currency_cup,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cup,      R.string.currency_cup),
        MyUnit(MyUnitIDS.currency_cve,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_cve,      R.string.currency_cve),
        MyUnit(MyUnitIDS.currency_czk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_czk,      R.string.currency_czk),
        MyUnit(MyUnitIDS.currency_dai,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_dai,      R.string.currency_dai),
        MyUnit(MyUnitIDS.currency_djf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_djf,      R.string.currency_djf),
        MyUnit(MyUnitIDS.currency_dkk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_dkk,      R.string.currency_dkk),
        MyUnit(MyUnitIDS.currency_doge,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_doge,     R.string.currency_doge),
        MyUnit(MyUnitIDS.currency_dop,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_dop,      R.string.currency_dop),
        MyUnit(MyUnitIDS.currency_dot,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_dot,      R.string.currency_dot),
        MyUnit(MyUnitIDS.currency_dzd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_dzd,      R.string.currency_dzd),
        MyUnit(MyUnitIDS.currency_egld,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_egld,     R.string.currency_egld),
        MyUnit(MyUnitIDS.currency_egp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_egp,      R.string.currency_egp),
        MyUnit(MyUnitIDS.currency_enj,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_enj,      R.string.currency_enj),
        MyUnit(MyUnitIDS.currency_ern,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ern,      R.string.currency_ern),
        MyUnit(MyUnitIDS.currency_etb,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_etb,      R.string.currency_etb),
        MyUnit(MyUnitIDS.currency_etc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_etc,      R.string.currency_etc),
        MyUnit(MyUnitIDS.currency_eth,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_eth,      R.string.currency_eth),
        MyUnit(MyUnitIDS.currency_eur,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_eur,      R.string.currency_eur),
        MyUnit(MyUnitIDS.currency_fil,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_fil,      R.string.currency_fil),
        MyUnit(MyUnitIDS.currency_fjd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_fjd,      R.string.currency_fjd),
        MyUnit(MyUnitIDS.currency_fkp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_fkp,      R.string.currency_fkp),
        MyUnit(MyUnitIDS.currency_ftt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ftt,      R.string.currency_ftt),
        MyUnit(MyUnitIDS.currency_gbp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gbp,      R.string.currency_gbp),
        MyUnit(MyUnitIDS.currency_gel,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gel,      R.string.currency_gel),
        MyUnit(MyUnitIDS.currency_ggp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ggp,      R.string.currency_ggp),
        MyUnit(MyUnitIDS.currency_ghs,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ghs,      R.string.currency_ghs),
        MyUnit(MyUnitIDS.currency_gip,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gip,      R.string.currency_gip),
        MyUnit(MyUnitIDS.currency_gmd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gmd,      R.string.currency_gmd),
        MyUnit(MyUnitIDS.currency_gnf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gnf,      R.string.currency_gnf),
        MyUnit(MyUnitIDS.currency_grt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_grt,      R.string.currency_grt),
        MyUnit(MyUnitIDS.currency_gtq,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gtq,      R.string.currency_gtq),
        MyUnit(MyUnitIDS.currency_gyd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_gyd,      R.string.currency_gyd),
        MyUnit(MyUnitIDS.currency_hkd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_hkd,      R.string.currency_hkd),
        MyUnit(MyUnitIDS.currency_hnl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_hnl,      R.string.currency_hnl),
        MyUnit(MyUnitIDS.currency_hrk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_hrk,      R.string.currency_hrk),
        MyUnit(MyUnitIDS.currency_htg,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_htg,      R.string.currency_htg),
        MyUnit(MyUnitIDS.currency_huf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_huf,      R.string.currency_huf),
        MyUnit(MyUnitIDS.currency_icp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_icp,      R.string.currency_icp),
        MyUnit(MyUnitIDS.currency_idr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_idr,      R.string.currency_idr),
        MyUnit(MyUnitIDS.currency_ils,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ils,      R.string.currency_ils),
        MyUnit(MyUnitIDS.currency_imp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_imp,      R.string.currency_imp),
        MyUnit(MyUnitIDS.currency_inj,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_inj,      R.string.currency_inj),
        MyUnit(MyUnitIDS.currency_inr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_inr,      R.string.currency_inr),
        MyUnit(MyUnitIDS.currency_iqd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_iqd,      R.string.currency_iqd),
        MyUnit(MyUnitIDS.currency_irr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_irr,      R.string.currency_irr),
        MyUnit(MyUnitIDS.currency_isk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_isk,      R.string.currency_isk),
        MyUnit(MyUnitIDS.currency_jep,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_jep,      R.string.currency_jep),
        MyUnit(MyUnitIDS.currency_jmd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_jmd,      R.string.currency_jmd),
        MyUnit(MyUnitIDS.currency_jod,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_jod,      R.string.currency_jod),
        MyUnit(MyUnitIDS.currency_jpy,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_jpy,      R.string.currency_jpy),
        MyUnit(MyUnitIDS.currency_kes,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kes,      R.string.currency_kes),
        MyUnit(MyUnitIDS.currency_kgs,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kgs,      R.string.currency_kgs),
        MyUnit(MyUnitIDS.currency_khr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_khr,      R.string.currency_khr),
        MyUnit(MyUnitIDS.currency_kmf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kmf,      R.string.currency_kmf),
        MyUnit(MyUnitIDS.currency_kpw,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kpw,      R.string.currency_kpw),
        MyUnit(MyUnitIDS.currency_krw,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_krw,      R.string.currency_krw),
        MyUnit(MyUnitIDS.currency_ksm,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ksm,      R.string.currency_ksm),
        MyUnit(MyUnitIDS.currency_kwd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kwd,      R.string.currency_kwd),
        MyUnit(MyUnitIDS.currency_kyd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kyd,      R.string.currency_kyd),
        MyUnit(MyUnitIDS.currency_kzt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_kzt,      R.string.currency_kzt),
        MyUnit(MyUnitIDS.currency_lak,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lak,      R.string.currency_lak),
        MyUnit(MyUnitIDS.currency_lbp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lbp,      R.string.currency_lbp),
        MyUnit(MyUnitIDS.currency_link,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_link,     R.string.currency_link),
        MyUnit(MyUnitIDS.currency_lkr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lkr,      R.string.currency_lkr),
        MyUnit(MyUnitIDS.currency_lrd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lrd,      R.string.currency_lrd),
        MyUnit(MyUnitIDS.currency_lsl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lsl,      R.string.currency_lsl),
        MyUnit(MyUnitIDS.currency_ltc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ltc,      R.string.currency_ltc),
        MyUnit(MyUnitIDS.currency_ltl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ltl,      R.string.currency_ltl),
        MyUnit(MyUnitIDS.currency_luna,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_luna,     R.string.currency_luna),
        MyUnit(MyUnitIDS.currency_lvl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lvl,      R.string.currency_lvl),
        MyUnit(MyUnitIDS.currency_lyd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_lyd,      R.string.currency_lyd),
        MyUnit(MyUnitIDS.currency_mad,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mad,      R.string.currency_mad),
        MyUnit(MyUnitIDS.currency_matic,    BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_matic,    R.string.currency_matic),
        MyUnit(MyUnitIDS.currency_mdl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mdl,      R.string.currency_mdl),
        MyUnit(MyUnitIDS.currency_mga,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mga,      R.string.currency_mga),
        MyUnit(MyUnitIDS.currency_mkd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mkd,      R.string.currency_mkd),
        MyUnit(MyUnitIDS.currency_mmk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mmk,      R.string.currency_mmk),
        MyUnit(MyUnitIDS.currency_mnt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mnt,      R.string.currency_mnt),
        MyUnit(MyUnitIDS.currency_mop,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mop,      R.string.currency_mop),
        MyUnit(MyUnitIDS.currency_mro,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mro,      R.string.currency_mro),
        MyUnit(MyUnitIDS.currency_mur,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mur,      R.string.currency_mur),
        MyUnit(MyUnitIDS.currency_mvr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mvr,      R.string.currency_mvr),
        MyUnit(MyUnitIDS.currency_mwk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mwk,      R.string.currency_mwk),
        MyUnit(MyUnitIDS.currency_mxn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mxn,      R.string.currency_mxn),
        MyUnit(MyUnitIDS.currency_myr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_myr,      R.string.currency_myr),
        MyUnit(MyUnitIDS.currency_mzn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_mzn,      R.string.currency_mzn),
        MyUnit(MyUnitIDS.currency_nad,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_nad,      R.string.currency_nad),
        MyUnit(MyUnitIDS.currency_ngn,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ngn,      R.string.currency_ngn),
        MyUnit(MyUnitIDS.currency_nio,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_nio,      R.string.currency_nio),
        MyUnit(MyUnitIDS.currency_nok,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_nok,      R.string.currency_nok),
        MyUnit(MyUnitIDS.currency_npr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_npr,      R.string.currency_npr),
        MyUnit(MyUnitIDS.currency_nzd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_nzd,      R.string.currency_nzd),
        MyUnit(MyUnitIDS.currency_omr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_omr,      R.string.currency_omr),
        MyUnit(MyUnitIDS.currency_one,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_one,      R.string.currency_one),
        MyUnit(MyUnitIDS.currency_pab,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pab,      R.string.currency_pab),
        MyUnit(MyUnitIDS.currency_pen,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pen,      R.string.currency_pen),
        MyUnit(MyUnitIDS.currency_pgk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pgk,      R.string.currency_pgk),
        MyUnit(MyUnitIDS.currency_php,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_php,      R.string.currency_php),
        MyUnit(MyUnitIDS.currency_pkr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pkr,      R.string.currency_pkr),
        MyUnit(MyUnitIDS.currency_pln,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pln,      R.string.currency_pln),
        MyUnit(MyUnitIDS.currency_pyg,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_pyg,      R.string.currency_pyg),
        MyUnit(MyUnitIDS.currency_qar,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_qar,      R.string.currency_qar),
        MyUnit(MyUnitIDS.currency_ron,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ron,      R.string.currency_ron),
        MyUnit(MyUnitIDS.currency_rsd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_rsd,      R.string.currency_rsd),
        MyUnit(MyUnitIDS.currency_rub,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_rub,      R.string.currency_rub),
        MyUnit(MyUnitIDS.currency_rwf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_rwf,      R.string.currency_rwf),
        MyUnit(MyUnitIDS.currency_sar,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sar,      R.string.currency_sar),
        MyUnit(MyUnitIDS.currency_sbd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sbd,      R.string.currency_sbd),
        MyUnit(MyUnitIDS.currency_scr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_scr,      R.string.currency_scr),
        MyUnit(MyUnitIDS.currency_sdg,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sdg,      R.string.currency_sdg),
        MyUnit(MyUnitIDS.currency_sek,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sek,      R.string.currency_sek),
        MyUnit(MyUnitIDS.currency_sgd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sgd,      R.string.currency_sgd),
        MyUnit(MyUnitIDS.currency_shib,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_shib,     R.string.currency_shib),
        MyUnit(MyUnitIDS.currency_shp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_shp,      R.string.currency_shp),
        MyUnit(MyUnitIDS.currency_sll,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sll,      R.string.currency_sll),
        MyUnit(MyUnitIDS.currency_sol,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sol,      R.string.currency_sol),
        MyUnit(MyUnitIDS.currency_sos,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_sos,      R.string.currency_sos),
        MyUnit(MyUnitIDS.currency_srd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_srd,      R.string.currency_srd),
        MyUnit(MyUnitIDS.currency_std,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_std,      R.string.currency_std),
        MyUnit(MyUnitIDS.currency_svc,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_svc,      R.string.currency_svc),
        MyUnit(MyUnitIDS.currency_syp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_syp,      R.string.currency_syp),
        MyUnit(MyUnitIDS.currency_szl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_szl,      R.string.currency_szl),
        MyUnit(MyUnitIDS.currency_thb,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_thb,      R.string.currency_thb),
        MyUnit(MyUnitIDS.currency_theta,    BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_theta,    R.string.currency_theta),
        MyUnit(MyUnitIDS.currency_tjs,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_tjs,      R.string.currency_tjs),
        MyUnit(MyUnitIDS.currency_tmt,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_tmt,      R.string.currency_tmt),
        MyUnit(MyUnitIDS.currency_tnd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_tnd,      R.string.currency_tnd),
        MyUnit(MyUnitIDS.currency_top,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_top,      R.string.currency_top),
        MyUnit(MyUnitIDS.currency_trx,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_trx,      R.string.currency_trx),
        MyUnit(MyUnitIDS.currency_try,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_try,      R.string.currency_try),
        MyUnit(MyUnitIDS.currency_ttd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ttd,      R.string.currency_ttd),
        MyUnit(MyUnitIDS.currency_twd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_twd,      R.string.currency_twd),
        MyUnit(MyUnitIDS.currency_tzs,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_tzs,      R.string.currency_tzs),
        MyUnit(MyUnitIDS.currency_uah,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_uah,      R.string.currency_uah),
        MyUnit(MyUnitIDS.currency_ugx,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_ugx,      R.string.currency_ugx),
        MyUnit(MyUnitIDS.currency_uni,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_uni,      R.string.currency_uni),
        MyUnit(MyUnitIDS.currency_usd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_usd,      R.string.currency_usd),
        MyUnit(MyUnitIDS.currency_usdc,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_usdc,     R.string.currency_usdc),
        MyUnit(MyUnitIDS.currency_usdt,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_usdt,     R.string.currency_usdt),
        MyUnit(MyUnitIDS.currency_uyu,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_uyu,      R.string.currency_uyu),
        MyUnit(MyUnitIDS.currency_uzs,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_uzs,      R.string.currency_uzs),
        MyUnit(MyUnitIDS.currency_vef,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_vef,      R.string.currency_vef),
        MyUnit(MyUnitIDS.currency_vet,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_vet,      R.string.currency_vet),
        MyUnit(MyUnitIDS.currency_vnd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_vnd,      R.string.currency_vnd),
        MyUnit(MyUnitIDS.currency_vuv,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_vuv,      R.string.currency_vuv),
        MyUnit(MyUnitIDS.currency_wbtc,     BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_wbtc,     R.string.currency_wbtc),
        MyUnit(MyUnitIDS.currency_wst,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_wst,      R.string.currency_wst),
        MyUnit(MyUnitIDS.currency_xaf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xaf,      R.string.currency_xaf),
        MyUnit(MyUnitIDS.currency_xag,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xag,      R.string.currency_xag),
        MyUnit(MyUnitIDS.currency_xau,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xau,      R.string.currency_xau),
        MyUnit(MyUnitIDS.currency_xcd,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xcd,      R.string.currency_xcd),
        MyUnit(MyUnitIDS.currency_xdr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xdr,      R.string.currency_xdr),
        MyUnit(MyUnitIDS.currency_xlm,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xlm,      R.string.currency_xlm),
        MyUnit(MyUnitIDS.currency_xmr,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xmr,      R.string.currency_xmr),
        MyUnit(MyUnitIDS.currency_xof,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xof,      R.string.currency_xof),
        MyUnit(MyUnitIDS.currency_xpf,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xpf,      R.string.currency_xpf),
        MyUnit(MyUnitIDS.currency_xrp,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_xrp,      R.string.currency_xrp),
        MyUnit(MyUnitIDS.currency_yer,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_yer,      R.string.currency_yer),
        MyUnit(MyUnitIDS.currency_zar,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_zar,      R.string.currency_zar),
        MyUnit(MyUnitIDS.currency_zmk,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_zmk,      R.string.currency_zmk),
        MyUnit(MyUnitIDS.currency_zmw,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_zmw,      R.string.currency_zmw),
        MyUnit(MyUnitIDS.currency_zwl,      BigDecimal.ONE, UnitGroup.CURRENCY, R.string.currency_zwl,      R.string.currency_zwl),
    )
}
